Arvados - Bug #13617

[a-n-m] labels in instances in AWS are confusing
06/12/2018 09:17 PM - Nico César

Status: Resolved Start date: 06/14/2018
Priority: Normal Due date:

Assigned To: Lucas Di Pentima % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2018-06-20 Sprint

Description

since 1.1.4.20180612182441-2 ticket #7478 spot instances show up:

Jun 12 21:13:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:13:13 arvnodeman. jobqueue[1l1l
289] INFO: {'real': <NodeSize: id=mé4.large, name=Large Instance, ram=8192 disk=0 bandwidth=None pr

ice=0.1 driver=Amazon EC2 ...>, 'preemptable': False, 'name': 'Large Instance', 'extra': {'cpu': 2
}, 'scratch': 32000, 'price': 0.1, 'ram': 7782, 'bandwidth': None, 'cores': 2, 'disk': 0, 'id': 'm
4.large'}

Jun 12 21:13:13 manage.4xphqg.arvadosapi.com env[11286]: 2018-06-12 21:13:13 arvnodeman. jobqueue[1ll
289] INFO: {'real': <NodeSize: id=mé4.large, name=Large Instance, ram=8192 disk=0 bandwidth=None pr
ice=0.1 driver=Amazon EC2 ...>, 'preemptable': True, 'name': 'Large Instance', 'extra': {'cpu': 2}
, 'scratch': 32000, 'price': 0.1, 'ram': 7782, 'bandwidth': None, 'cores': 2, 'disk': 0, 'id': 'm4
.large.spot'}

but it's confusing to know in the wishlist which one is being referred:

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 JobQueueMonitorActor.1l
40593208914768[11289] DEBUG: Calculated wishlist: Large Instance, Large Instance

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Compute Optimized Eight Extra Large Instance: wishlist 0, up 0 (booting
0, unpaired 0, idle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphqg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.e1la8b77a0365[11289] INFO: Compute Optimized Quadruple Extra Large Instance: wishlist 0, up 0 (boo

ting 0, unpaired 0, idle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Compute Optimized Double Extra Large Instance: wishlist 0, up 0 (bootin

g 0, unpaired 0, idle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Double Extra Large Instance: wishlist 0, up 0 (booting 0, unpaired 0, i

dle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Compute Optimized Extra Large Instance: wishlist 0, up 0 (booting 0, un

paired 0, idle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Extra Large Instance: wishlist 0, up 0 (booting 0, unpaired 0, idle O,

busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Compute Optimized Large Instance: wishlist 0, up 0 (booting 0, unpaired
0, idle 0, busy 0), down 0, shutdown O

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Large Instance: wishlist 0, up 0 (booting 0, unpaired 0, idle 0, busy 0
), down 0, shutdown 0

Jun 12 21:17:13 manage.4xphg.arvadosapi.com env[11286]: 2018-06-12 21:17:13 NodeManagerDaemonActor
.ela8b77a0365[11289] INFO: Large Instance: wishlist 2, up 0 (booting 0, unpaired 0, idle 0, busy O
), down 0, shutdown 0

Subtasks:
Task # 13625: Review 13617-anm-instance-type-logging Closed

Associated revisions

Revision 4f1e8828 - 06/14/2018 05:09 PM - Lucas Di Pentima
Merge branch '13617-anm-instance-type-logging'

11/29/2021 1/2



https://dev.arvados.org/issues/7478

Closes #13617

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <Idipentima@veritasgenetics.com>

History

#1 - 06/13/2018 07:13 PM - Lucas Di Pentima

- Assigned To set to Lucas Di Pentima

#2 - 06/14/2018 03:33 PM - Lucas Di Pentima

- Status changed from New to In Progress

#3 - 06/14/2018 03:33 PM - Lucas Di Pentima
- Target version set to 2018-06-20 Sprint

#4 - 06/14/2018 03:42 PM - Lucas Di Pentima

Updates at 0275a6282 - branch 13617-anm-instance-type-logging
Test run: https://ci.curoverse.com/job/developer-run-tests/754/

Talked with Nico about using size ids instead of size names when logging, as different instance types can have the same cloud assigned name.

#5 - 06/14/2018 04:43 PM - Peter Amstutz

Yes, | agree it should definitely be logging the arvados instance type. Does this affect what is returned by the status endpoint as well?

#6 - 06/14/2018 05:20 PM - Lucas Di Pentima
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset arvados|4f1e8828caf40af5a80ca8189c46a6cdfe8d541f.

#7 - 07/23/2018 06:52 PM - Tom Morris

- Release setto 13
